﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head><title>Campaign Pre Configuration</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>Campaign Pre Configuration</h1>
        <p>Using <strong>Campaign Pre Config</strong> tab you can upload a JSON file of pre-defined configuration values and upload it to IGA. Once you have uploaded the JSON file with pre-defined configuration values, these values are displayed under <strong>Advanced Campaign Configurations</strong> in the <strong>Create Campaign</strong> page. </p>
        <p>In addition, using the&#160;<strong>Campaign Pre Config</strong> tab,&#160;you can specify whether the user should specify comments on locking the campaign.</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The configurations from&#160;<strong>Campaign Pre Config</strong>&#160;are applicable to all campaign types.</p>
        </div>
        <p>To access the&#160;<strong>Campaign Pre Config</strong> tab, navigate to <strong>Admin &gt; Configurations &gt; Global Configurations</strong>.&#160;</p>
        <p>
            <img src="../Resources/Images/Campaign Pre Config Tab.png" style="width: 700px;height: 300px;" />
        </p>
        <p>The following fields are available in the&#160;<strong>Campaign Pre Config</strong> tab:</p>
        <ol>
            <li><strong>Comments On Locking Campaign</strong>: Use this option to enable or disable user comments while locking a campaign.<ul><li>ON - When set to ON, the user should provide the comments (mandatory) when a campaign is locked.</li><li>OFF -&#160;When set to OFF, user comments are optional when a campaign is locked.</li></ul></li>
            <li><strong>Json</strong>: Enter the JSON file containing the pre-defined campaign configuration values. Click <strong>Save</strong> to save the file. Once you have saved the changes, the pre-defined configurations in this JSON file are loaded (auto-populated) in a new field <strong>Use Pre-configured Values</strong> under the&#160;<strong>Advanced Campaign Configurations</strong>&#160;section in the <strong>Create Campaign</strong> page.&#160;</li>
        </ol>
        <p style="margin-left: 30.0px;">In the <strong>Create Campaign</strong> page, by default, <strong>Use Pre-configured Values</strong> is set to <strong>OFF.</strong></p>
        <p style="margin-left: 30.0px;">
            <img src="../Resources/Images/Default setting for&#160;Use Pre-configured Values.png" style="width: 700px;height: 300px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p style="margin-left: 30.0px;">Manually enable the&#160;<strong>Use Pre-configured Values </strong>to view the configuration fields that you have provided in the JSON file from the <strong>Campaign Pre Config</strong> tab.</p>
        <p style="margin-left: 30.0px;">When you toggle&#160;<strong>Use Pre-configured Values </strong>to <strong>ON</strong>, the configuration option(s) that you defined in the JSON file&#160;are displayed.</p>
        <p style="margin-left: 30.0px;">You can set the required configuration in the displayed options.</p>
        <p><strong>Example:</strong>
        </p>
        <p>Suppose you have provided the JSON in the&#160;<b>Campaign Pre Config</b> tab as <span class="attr">{"option A":{"roleQry":"role query 1","accountQry":"Account query 1","entQry":"ent query 1", "accountEnt1Qry":"account ent query 1"}</span> and saved the file. Then from&#160;<strong>Create Campaign page &gt; Advanced Campaign Configurations, </strong>you can view and configure the configurations fields under&#160;<strong>option A</strong>&#160;from the&#160;<strong>Use Pre-configured Values </strong>field, as shown in the following figure. Toggle&#160;<strong>Use Pre-configured Values </strong>to <strong>ON </strong>to view the <strong>option A&#160;</strong>configuration options.</p>
        <p style="margin-left: 30.0px;">
            <img src="../Resources/Images/Sample Campaign Pre-configuration.png" style="width: 700px;height: 300px;" />
        </p>
    </body>
</html>